Annotation queues
List annotation queues
GET
/
v1
/
annotation-queues
List annotation queues
curl --request GET \
--url https://api.veri.studio/v1/annotation-queues \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/annotation-queues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/annotation-queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"target_type": "<string>",
"evaluators": [
{
"evaluator_id": "<string>",
"version": 123,
"name": "<string>",
"method": "<string>",
"scope": "<string>",
"output_type": "<string>"
}
],
"reservation_minutes": 123,
"counts": {
"pending": 123,
"reserved": 123,
"completed": 123,
"skipped": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"instructions": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"evaluator_specs": [
{
"evaluator_id": "<string>",
"name": "<string>",
"version": 123,
"method": "<string>",
"scope": "<string>",
"output_type": "<string>",
"output_config": {},
"description": "<string>",
"instructions": "<string>"
}
]
}
]
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Include archived queues (default false).
List annotation queues
curl --request GET \
--url https://api.veri.studio/v1/annotation-queues \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/annotation-queues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/annotation-queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"target_type": "<string>",
"evaluators": [
{
"evaluator_id": "<string>",
"version": 123,
"name": "<string>",
"method": "<string>",
"scope": "<string>",
"output_type": "<string>"
}
],
"reservation_minutes": 123,
"counts": {
"pending": 123,
"reserved": 123,
"completed": 123,
"skipped": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"instructions": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"evaluator_specs": [
{
"evaluator_id": "<string>",
"name": "<string>",
"version": 123,
"method": "<string>",
"scope": "<string>",
"output_type": "<string>",
"output_config": {},
"description": "<string>",
"instructions": "<string>"
}
]
}
]
}
